Bug 507517 - Apple Keyboard USB Aluminium Mini not fully supported
Apple Keyboard USB Aluminium Mini not fully supported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 01:39 EDT by Eric Rannaud
Modified: 2009-07-22 17:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.29.6-213.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Same patch as in mainline, adapted for F10's kernel (1.79 KB, patch)
2009-06-23 01:41 EDT, Eric Rannaud
no flags Details | Diff
Correction to the F10 patch (2.08 KB, patch)
2009-06-23 02:19 EDT, Eric Rannaud
no flags Details | Diff

  None (edit)
Description Eric Rannaud 2009-06-23 01:39:30 EDT
Description of problem:

FN key not supported on Apple Keyboard USB Aluminium mini (no number keypad).
It is supported on the larger model, and the wireless model.

Mainline has support for the mini keyboard: fef3f571ecc2a82395c531d97b3f71a59e04e946 on Linus' tree (attached)



The patch applies on F11's kernel and is very straightforward.


Version-Release number of selected component (if applicable):

kernel-2.6.29.4-167.fc11.src.rpm


Expected results:

FN + arrows does: pgup, pgdown, home, end.

Actual results:

FN has no effect.


Additional info:

Support for F10 could be added as well, although a different patch is needed, see second attachment.
Comment 1 Eric Rannaud 2009-06-23 01:41:21 EDT
Created attachment 349036 [details]
Same patch as in mainline, adapted for F10's kernel
Comment 2 Eric Rannaud 2009-06-23 02:19:47 EDT
Created attachment 349038 [details]
Correction to the F10 patch
Comment 3 Chuck Ebbert 2009-06-29 14:42:54 EDT
Fixed in kernel-2.6.29.5-203
Comment 4 Fedora Update System 2009-07-08 08:14:12 EDT
kernel-2.6.29.6-213.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-213.fc11
Comment 5 Fedora Update System 2009-07-16 03:13:08 EDT
kernel-2.6.29.6-213.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7617
Comment 6 Fedora Update System 2009-07-22 17:57:49 EDT
kernel-2.6.29.6-213.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.